### Hierarchy

- AbstractRange
  - Range

## Index

### Properties

- AbstractRange
- END_TO_END
- END_TO_START
- START_TO_END
- START_TO_START
- collapsed
- commonAncestorContainer
- endContainer
- endOffset
- startContainer
- startOffset

### Methods

- cloneContents
- cloneRange
- collapse
- compareBoundaryPoints
- comparePoint
- createContextualFragment
- deleteContents
- detach
- extractContents
- getBoundingClientRect
- getClientRects
- insertNode
- intersectsNode
- isPointInRange
- selectNode
- selectNodeContents
- setEnd
- setEndAfter
- setEndBefore
- setStart
- setStartAfter
- setStartBefore
- surroundContents

## Properties

### AbstractRange

AbstractRange: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1686

#### Type declaration

- ##### constructor: function

  - new __type(): AbstractRange
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1687

    #### Returns AbstractRange

- ##### prototype: AbstractRange

### END_TO_END

END_TO_END: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11872

### END_TO_START

END_TO_START: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11873

### START_TO_END

START_TO_END: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11874

### START_TO_START

START_TO_START: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11875

### collapsed

collapsed: boolean

Inherited from AbstractRange.collapsed

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1679

### commonAncestorContainer

commonAncestorContainer: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11841

Returns the node, furthest away from the document, that is an ancestor of both range's start node and end node.

### endContainer

endContainer: Node

Inherited from AbstractRange.endContainer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1680

### endOffset

endOffset: number

Inherited from AbstractRange.endOffset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1681

### startContainer

startContainer: Node

Inherited from AbstractRange.startContainer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1682

### startOffset

startOffset: number

Inherited from AbstractRange.startOffset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1683

## Methods

### cloneContents

- cloneContents(): DocumentFragment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11842

  #### Returns DocumentFragment

### cloneRange

- cloneRange(): Range

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11843

  #### Returns Range

### collapse

- collapse(toStart?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11844

  #### Parameters

  - ##### Optional toStart: undefined | false | true

  #### Returns void

### compareBoundaryPoints

- compareBoundaryPoints(how: number, sourceRange: Range): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11845

  #### Parameters

  - ##### how: number

  - ##### sourceRange: Range

  #### Returns number

### comparePoint

- comparePoint(node: Node, offset: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11850

  Returns −1 if the point is before the range, 0 if the point is in the range, and 1 if the point is after the range.

  #### Parameters

  - ##### node: Node

  - ##### offset: number

  #### Returns number

### createContextualFragment

- createContextualFragment(fragment: string): DocumentFragment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11851

  #### Parameters

  - ##### fragment: string

  #### Returns DocumentFragment

### deleteContents

- deleteContents(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11852

  #### Returns void

### detach

- detach(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11853

  #### Returns void

### extractContents

- extractContents(): DocumentFragment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11854

  #### Returns DocumentFragment

### getBoundingClientRect

- getBoundingClientRect(): ClientRect | DOMRect

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11855

  #### Returns ClientRect | DOMRect

### getClientRects

- getClientRects(): ClientRectList | DOMRectList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11856

  #### Returns ClientRectList | DOMRectList

### insertNode

- insertNode(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11857

  #### Parameters

  - ##### node: Node

  #### Returns void

### intersectsNode

- intersectsNode(node: Node): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11861

  Returns whether range intersects node.

  #### Parameters

  - ##### node: Node

  #### Returns boolean

### isPointInRange

- isPointInRange(node: Node, offset: number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11862

  #### Parameters

  - ##### node: Node

  - ##### offset: number

  #### Returns boolean

### selectNode

- selectNode(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11863

  #### Parameters

  - ##### node: Node

  #### Returns void

### selectNodeContents

- selectNodeContents(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11864

  #### Parameters

  - ##### node: Node

  #### Returns void

### setEnd

- setEnd(node: Node, offset: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11865

  #### Parameters

  - ##### node: Node

  - ##### offset: number

  #### Returns void

### setEndAfter

- setEndAfter(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11866

  #### Parameters

  - ##### node: Node

  #### Returns void

### setEndBefore

- setEndBefore(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11867

  #### Parameters

  - ##### node: Node

  #### Returns void

### setStart

- setStart(node: Node, offset: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11868

  #### Parameters

  - ##### node: Node

  - ##### offset: number

  #### Returns void

### setStartAfter

- setStartAfter(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11869

  #### Parameters

  - ##### node: Node

  #### Returns void

### setStartBefore

- setStartBefore(node: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11870

  #### Parameters

  - ##### node: Node

  #### Returns void

### surroundContents

- surroundContents(newParent: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11871

  #### Parameters

  - ##### newParent: Node

  #### Returns void

Generated using TypeDoc